Subject: bug#32440: closed (Re: bug#32440: localization of guix refresh)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Sep 2021 12:38:01 +0000

Your bug report

#32440: localization of guix refresh

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32440: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32440
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32440: localization of guix refresh
From: Julien Lepiller <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Sep 2021 08:37:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Indeed, I didn't notice it was added, and doesn't cause issues. Closing, thanks for the reminder :)

Le 16 septembre 2021 03:40:46 GMT-04:00, zimoun <[email-masked]> a écrit :
>Hi Julien,
>
>On Tue, 14 Aug 2018 at 21:45, Julien Lepiller <[email-masked]> wrote:
>
>> I've just found out that guix refresh is not translated. Indeed,
>> guix/script/refresh.scm is not listed in po/guix/POTFILES.in as it
>> should be. Adding it to the file leads to an issue though. One of the
>> entries generated in po files is the following:
>
>The file ’guix/script/refresh.scm’ had been added to
>’po/guix/POTFILES.in’ by the commit
>c1eb04e6fd1c2cdb30b7b33d500b4ce54cabc27d.
>
>Closing?
>
>Cheers,
>simon

Subject: localization of guix refresh
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Tue, 14 Aug 2018 21:45:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've just found out that guix refresh is not translated. Indeed,
guix/script/refresh.scm is not listed in po/guix/POTFILES.in as it
should be. Adding it to the file leads to an issue though. One of the
entries generated in po files is the following:

#: guix/scripts/refresh.scm:307
#, scheme-format
msgid ""
"Building the following package would ensure ~d dependent packages are "
"rebuilt: ~*~{~a~^ ~}~%"
msgid_plural ""
"Building the following ~d packages would ensure ~d dependent packages"
"are rebuilt: ~{~a~^ ~}~%"
msgstr[0] ""
"Building the following package would ensure ~d dependent packages are "
"rebuilt: ~*~{~a~^ ~}~%"
msgstr[1] ""
"Building the following ~d packages would ensure ~d dependent packages"
"are rebuilt: ~{~a~^ ~}~%"

which leads to this error while running "make -C po/guix update-po":

[email-masked]:3140: format specifications in 'msgstr[0]' are not a
subset of those in 'msgid_plural'.